## Controller Python Script "cddb_query"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=RESPONSE=None
##title=A simple GET on FreeDB.org
##

REQUEST = context.REQUEST
if hasattr(REQUEST, 'artistname'):
    pa = context.portal_artist
    artistname =  REQUEST['artistname']

    if hasattr(REQUEST, 'advanced'):
        artistname = artistname + " " + REQUEST['advanced']
    
    albums = pa.getAlbumsFromArtist(pa.getMeNiceId(artistname).replace('-', '+'))
    context.setCddbCache(albums)
    return state.set(status='success', portal_status_message='CDDB Cache updated')

return state.set(status="failure", portal_status_message="Can't request without a valid artist name")
